# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TColumn._Fields

Packages that use TColumn._Fields
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TColumn._Fields in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TColumn._Fields in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TColumn`
`static enum`
`TColumn._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TColumn._Fields
Modifier and Type
Field
Description
`static final Map<TColumn._Fields,org.apache.thrift.meta_data.FieldMetaData>`
TColumn.`metaDataMap`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TColumn._Fields
Modifier and Type
Method
Description
`protected TColumn._Fields`
TColumn.`enumForId(short id)`
`TColumn._Fields`
TColumn.`fieldForId(int fieldId)`
`static TColumn._Fields`
TColumn._Fields.`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TColumn._Fields`
TColumn._Fields.`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TColumn._Fields`
TColumn._Fields.`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`static TColumn._Fields`
TColumn._Fields.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TColumn._Fields[]`
TColumn._Fields.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumn._Fields
Modifier and Type
Method
Description
`protected void`
TColumn.`checkType(TColumn._Fields setField, Object value)`
`protected org.apache.thrift.protocol.TField`
TColumn.`getFieldDesc(TColumn._Fields setField)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumn._Fields
Modifier
Constructor
Description
``
`TColumn(TColumn._Fields setField, Object value)`